package java_lec03.samples;

public class Sample_Monster {
	
	//フィールド(変数)
	private String name;
	private int hp;
	private int atk;
	
	//コンストラクター
	public Sample_Monster(int hp, int atk){
		this.setName("Monster");
		setHp(hp);
		setAtk(atk);
	}
	public Sample_Monster(String name, int hp, int atk){
		this.setName(name);
		this.setHp(hp);
		this.setAtk(atk);
	}
	
	
	//setter, getterメソッド
	public void setName(String name) {
		this.name = name;
	}
	public String getName() {
		return name;
	}
	public void setHp(int hp) {
		if(0 <= hp)
			this.hp = hp;
		else
			this.hp = 0;
	}
	public int getHp() {
		return hp;
	}
	public void setAtk(int atk) {
		if(0 <= atk)
			this.atk = atk;
		else
			this.atk = 0;
	}
	public int getAtk() {
		return atk;
	}
	
	
	//メソッド
	
	/**
	 * モンスターのステータスを表示するメソッド
	 */
	public void showStatus(){
		System.out.println("名前：" + getName());
		System.out.println("HP：" + getHp());
		System.out.println("ATK：" + getAtk());
	}
	
	
	public static void main(String[] args) {
		Sample_Monster m = new Sample_Monster("Monster", 100, 10);
		m.showStatus();
	}
	
}
